# Generated by Django 2.1.7 on 2019-04-20 11:39

from django.db import migrations, models
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=8)),
                ('shortName', models.CharField(default=None, max_length=8, null=True)),
                ('fullName', models.CharField(default=None, max_length=64, null=True)),
                ('gameModes', jsonfield.fields.JSONField(default={})),
            ],
        ),
        migrations.CreateModel(
            name='RoomStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=16)),
                ('fullName', models.CharField(default='', max_length=32)),
                ('description', models.TextField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='SumMode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=28)),
                ('description', models.TextField(default='', max_length=512)),
            ],
        ),
    ]
